%define name usbmuxd
%define major 1
%define libname %mklibname usbmuxd %major
%define libnamedev %mklibname -d usbmuxd

Name:		%{name}
Version:	1.0.7
%define subrel 1
Release:	%mkrel 1
Summary:	Daemon for communicating with Apple's iPod Touch and iPhone

Group:		System/Kernel and hardware 
License:	GPLv2+ and LGPLv2+
URL:		http://marcansoft.com/blog/iphonelinux/usbmuxd/
Source0:	http://marcansoft.com/uploads/usbmuxd/%{name}-%{version}%{?extraver:-%{extraver}}.tar.bz2
Patch0:		usbmuxd-1.0.7-CVE-2012-0065.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	usb1.0-devel >= 1.0.3
BuildRequires:	cmake
BuildRequires:	libplist-devel

%description
usbmuxd is a daemon used for communicating with Apple's iPod Touch and iPhone
devices. It allows multiple services on the device to be accessed
simultaneously.

%package -n %libname
Group: System/Libraries
Summary: Library to access the usbmuxd daemon
Requires: %name >= %version

%description -n %libname
libusmuxd is used to communicate with the usbmuxd daemon by apps wishing to 
interact with Apple's iPod Touch and iPhone.

%package -n %libnamedev
Summary: Development package for %{name}
Group: Development/C
Requires: %libname = %version
Provides: %name-devel = %version-%release

%description -n %libnamedev
Files for development with %{name}.

%prep
%setup -q -n %{name}-%{version}%{?extraver:-%{extraver}}
%patch0 -p0

%build
%cmake
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%clean
rm -rf %{buildroot}

%pre
%_pre_useradd usbmux /proc /sbin/nologin

%postun
%_postun_userdel usbmux

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root,-)
%doc AUTHORS README
/lib/udev/rules.d/85-usbmuxd.rules
%{_bindir}/iproxy
%{_sbindir}/usbmuxd

%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/libusbmuxd.so.%{major}*

%files -n %libnamedev
%defattr(-,root,root,-)
%doc README.devel
%{_includedir}/*.h
%{_libdir}/libusbmuxd.so
%{_libdir}/pkgconfig/libusbmuxd.pc



%changelog
* Wed Aug 15 2012 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-1.1
- P0: security fix for CVE-2012-0065 (ubuntu)

* Thu Apr 14 2011 Götz Waschk <waschk@mandriva.org> 1.0.7-1mdv2011.0
+ Revision: 652993
- new version
- drop patch

* Sun Nov 28 2010 Funda Wang <fwang@mandriva.org> 1.0.6-2mdv2011.0
+ Revision: 602257
- update BR
- update produce id
- new version 1.0.6

* Thu Jul 22 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0.5-2mdv2011.0
+ Revision: 556924
- add libplist build requires

* Thu Jul 22 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0.5-1mdv2011.0
+ Revision: 556886
- usbmuxd 1.0.5

* Wed May 12 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0.4-1mdv2010.1
+ Revision: 544554
- usbmuxd 1.0.4

* Mon Apr 12 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0.3-2mdv2010.1
+ Revision: 533666
- fix patch0: apply the ACLs on the usb device node before trying to access it (was broken during the 1.0.3 rediff)

* Mon Mar 22 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0.3-1mdv2010.1
+ Revision: 526416
- rediff ACL patch
- usbmuxd 1.0.3

* Thu Feb 11 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0.2-1mdv2010.1
+ Revision: 504139
- usbmuxd 1.0.2

* Mon Dec 07 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.0-3mdv2010.1
+ Revision: 474470
- need to actually upload libplist before attempting the rebuild ;)

* Mon Dec 07 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.0-2mdv2010.1
+ Revision: 474467
- rebuilg against new libplist

* Mon Dec 07 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.0-1mdv2010.1
+ Revision: 474344
- usbmuxd 1.0.0

* Fri Nov 06 2009 Colin Guthrie <cguthrie@mandriva.org> 1.0.0-0.rc2.1mdv2010.1
+ Revision: 460546
- New version: 1.0.0-rc2 (work by teuf)
- Add usbmux user
- Add ACL for usbmux user
- Apply upstream patches for smooth exit.

* Mon Sep 14 2009 Götz Waschk <waschk@mandriva.org> 0.1.4-2mdv2010.0
+ Revision: 439806
- rebuild for new libusb

* Mon Aug 10 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.1.4-1mdv2010.0
+ Revision: 414335
- 0.1.4
- usbmuxd 0.1.4

* Thu Aug 06 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.1.3-1mdv2010.0
+ Revision: 410626
- Fix rpm groups
- import usbmuxd


* Tue Aug  4 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.3-1
- Update to 0.1.3, review input

* Mon Aug  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.2-1
- Update to 0.1.2

* Mon Aug  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.1-1
- Initial packaging
